# Options and aliases cannot be (reliably) exported, so
# putting them here ensures that they are set correctly.
set -o ignoreeof
alias mkrun='chmod 755'

# This next alias is activated via '@w' in vi-mode
#
# In the following line, the two characters "^[" are really
# just the ESCAPE key.  To enter an ESCAPE key in vi, prefix
# it with Ctrl-V.
alias _w='Bi$(whence -p ^[Ea) '
